
Redmine - Defect #32936

Rails 6: disable AJ test adapter for integration tests

2020-02-03 02:02 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

this workaround fixes

 Failure:

AccountTest#test_registered_user_should_be_able_to_get_a_new_activation_email [/redmine/test/integ

ration/account_test.rb:451]:

"ActionMailer::Base.deliveries.size" didn't change by 1.

Expected: 1

  Actual: 0

 it's probably a Rails bug - https://github.com/rails/rails/issues/37270

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20893 - 2021-04-01 17:22 - Go MAEDA

Disable TestAdapter on IntegrationTest (#29914, #32936).

Patch by Pavel Rosický.

History

#1 - 2020-02-03 23:56 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#3 - 2021-03-30 18:32 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-01 17:22 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

test_helper.rb.patch 481 Bytes 2020-02-03 Pavel Rosický
